AntiFeatures:
  NonFreeAssets:
    en-US: The icons, logos, mascots, marketing materials and assets are not licensed
      under GPL v3.
Categories:
  - System
License: GPL-3.0-only
AuthorName: Matthias Urhahn
AuthorEmail: darken@darken.eu
AuthorWebSite: https://darken.eu
SourceCode: https://github.com/d4rken-org/sdmaid-se
IssueTracker: https://github.com/d4rken-org/sdmaid-se/issues
Changelog: https://github.com/d4rken-org/sdmaid-se/releases

AutoName: SD Maid

RepoType: git
Repo: https://github.com/d4rken-org/sdmaid-se
Binaries: https://github.com/d4rken-org/sdmaid-se/releases/download/v%v/eu.darken.sdmse-v%v-%c-FOSS-RELEASE.apk

Builds:
  - versionName: 1.0.1-rc0
    versionCode: 10001000
    commit: a1a85c164566937b0dc2bf4bf2e0c167c38323d0
    subdir: app
    gradle:
      - foss
    rm:
      - crowdin-cli.jar
      - tooling/testdata-generator/dirt-sources.zip

  - versionName: 1.1.2-rc0
    versionCode: 10102000
    commit: 322864880f589860c0689fcdc02e316767756ff1
    subdir: app
    gradle:
      - foss
    rm:
      - crowdin-cli.jar
      - tooling/testdata-generator/dirt-sources.zip

  - versionName: 1.2.1-rc0
    versionCode: 10201000
    commit: 2d78469663be4b8b9c514ea09591c7c4ed6d6698
    subdir: app
    sudo:
      - export CPUS_MAX=1
      - export CPUS=$(getconf _NPROCESSORS_ONLN)
      - for (( c=$CPUS_MAX; c<$CPUS; c++ )) ; do echo 0 > /sys/devices/system/cpu/cpu$c/online
        ; done
    gradle:
      - foss
    rm:
      - crowdin-cli.jar
      - tooling/testdata-generator/dirt-sources.zip

  - versionName: 1.2.2-rc0
    versionCode: 10202000
    commit: 2215a0eb864316d1e70f23945911cb62d2077ed5
    subdir: app
    sudo:
      - export CPUS_MAX=1
      - export CPUS=$(getconf _NPROCESSORS_ONLN)
      - for (( c=$CPUS_MAX; c<$CPUS; c++ )) ; do echo 0 > /sys/devices/system/cpu/cpu$c/online
        ; done
    gradle:
      - foss
    rm:
      - crowdin-cli.jar
      - tooling/testdata-generator/dirt-sources.zip

AllowedAPKSigningKeys: f490032be5383f55900495fa7fc207ece2e786a5c2c6cc52027b99548a9ce938

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v[0-9.]*(|-rc[0-9])$
UpdateCheckData: VERSION|.* (\d+)|.|(.*) \d+
CurrentVersion: 1.2.2-rc0
CurrentVersionCode: 10202000
